---
type: api
title: Get a short URL
description: Get a single Kibana short URL.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-get-url
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-get-url
products:
  - Kibana
---

# Get a short URL

Availability:

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/short_url/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `id` (string)
  The identifier for the short URL.

## Description

Get a single Kibana short URL.

## Response

Indicates a successful call.

`application/json`

- `accessCount` (integer)
- `accessDate` (string)
- `createDate` (string)
- `id` (string)
  The identifier for the short URL.
- `locator` (object)
  - `id` (string)
    The identifier for the locator.
  - `state` (object)
    The locator parameters.
  - `version` (string)
    The version of Kibana when the short URL was created.
- `slug` (string)
  A random human-readable slug is automatically generated if the `humanReadableSlug` parameter is set to `true`. If it is set to `false`, a random short string is generated.
## Code Examples

#### Console

```console
GET /api/short_url/{id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/short_url/{id}"
```

